Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodedocumenttypenodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodedocumenttypenodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for a

DocumentType node is the name of the document type.

Retrieve the DOCTYPE declaration from the XML file and

check the string returned by the "getNodeName()"

method. It should be equal to "staff".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095

Definition at line 51 of file nodedocumenttypenodename.java.

## Constructor & Destructor Documentation

nodedocumenttypenodename::nodedocumenttypenodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file nodedocumenttypenodename.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String nodedocumenttypenodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 69 of file nodedocumenttypenodename.java.
    00069                                 {
    00070       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodedocumenttypenodename";
    00071    }

void nodedocumenttypenodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 72 of file nodedocumenttypenodename.java. References DOMTestCase::doMain().
    00072                                           {
    00073         DOMTestCase.doMain(nodedocumenttypenodename.class,args);
    00074    }

void nodedocumenttypenodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file nodedocumenttypenodename.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       DocumentType docType;
    00062       String documentTypeName;
    00063       doc = load("staff");
    00064       docType = doc.getDoctype();
    00065       documentTypeName = docType.getNodeName();
    00066       assertEquals("nodeDocumentTypeNodeNameAssert1","staff",documentTypeName);
    00067
    00068    }

The documentation for this class was generated from the following file:

- nodedocumenttypenodename.java